package com.ehsure.ehsure_location_map.location.api;

import com.ehsure.ehsure_location_map.location.models.PoiModel;

import io.reactivex.Observable;
import retrofit2.http.GET;
import retrofit2.http.Query;

public interface RetrofitRequest {

    @GET("search")
    Observable<PoiModel> searchPoi(@Query("key") String key,
                                   @Query("boundary") String boundary,
                                   @Query("page_index") int page_index,
                                   @Query("page_size") int page_size);

    @GET("search")
    Observable<PoiModel> searchPoiWithKeyword(@Query("key") String key,
                                              @Query("keyword") String keyword,
                                              @Query("boundary") String boundary,
                                              @Query("page_index") int page_index,
                                              @Query("page_size") int page_size);
}
