import 'package:flutter/material.dart';
import 'dart:async';

import 'package:ehsure_location_map/ehsure_location_map.dart';

void main() {
  runApp(MyApp());
}

class MyApp extends StatefulWidget {
  @override
  _MyAppState createState() => _MyAppState();
}

class _MyAppState extends State<MyApp> {
  String _locationInfo = 'Unknown';

  @override
  void initState() {
    super.initState();
    initLocationState();
  }

  Future<void> initLocationState() async {
    String locationInfo;
    locationInfo = await EhsureLocationMap.locationInfo;
    setState(() {
      _locationInfo = locationInfo;
    });
  }

  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      home: Scaffold(
        appBar: AppBar(
          title: const Text('Plugin example app'),
        ),
        body: Center(
          child: Text(_locationInfo),
        ),
      ),
    );
  }
}
