package com.ehsure.ehsure_location_map.location.api;

import com.ehsure.ehsure_location_map.location.models.PoiModel;
import com.ehsure.ehsure_location_map.location.utils.Constants;

import io.reactivex.Observable;

public class ApiService {

    private static final RetrofitRequest request = ApiManage.getInstance().getRetrofitService();

    public Observable<PoiModel> searchPoi(String boundary, int page_index, int page_size) {
        return request.searchPoi(Constants.LOCATION_KEY, boundary, page_index, page_size);
    }

    public Observable<PoiModel> searchPoiWithKeyword(String keyword, String boundary, int page_index, int page_size) {
        return request.searchPoiWithKeyword(Constants.LOCATION_KEY,keyword, boundary, page_index, page_size);
    }
}
